Upload artifact
curl --request POST \
--url https://api.example.com/assets/artifacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'key=<string>' \
--form 'name=<string>' \
--form 'resource_uri=<string>' \
--form 'description=<string>' \
--form 'tags=<string>' \
--form 'meta=<string>'import requests
url = "https://api.example.com/assets/artifacts"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"key": "<string>",
"name": "<string>",
"resource_uri": "<string>",
"description": "<string>",
"tags": "<string>",
"meta": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('key', '<string>');
form.append('name', '<string>');
form.append('resource_uri', '<string>');
form.append('description', '<string>');
form.append('tags', '<string>');
form.append('meta', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.example.com/assets/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_uri": "<string>",
"url": "<string>",
"key": "<string>",
"name": "<string>",
"message": "<string>",
"size": 123,
"content_type": "<string>"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}artifacts
Upload artifact
Upload a file to object storage and create artifact record
POST
/
assets
/
artifacts
Upload artifact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
multipart/form-data
Artifact file to upload.
Object storage key
Human-readable artifact name
Required string length:
1 - 255Resource URI (auto-generated from name if omitted)
Artifact description
Maximum string length:
1000Comma-separated tags
Metadata as JSON string (e.g., '{"env":"prod"}')
Was this page helpful?
⌘I

